<?php
/**
 * @file * Admin include file. 
*/

/** 
 * Displays the form for the standard settings tab.
 * 
 * @return array 
 * A structured array for use with Forms API. 
*/ 
function intel_hubspot_admin_config($form, $form_state) {
  $form = array_merge($form, intel_hubspot_admin_config_form($form, $form_state));
  return system_settings_form($form);
}

function intel_hubspot_admin_config_form($form, $form_state) {
  $form = array();
 
  $api_connection = 0;
  if (count($form_state['input']) == 0) { // hack to assure check and messages are only done once when form is submitted
    if ($HAPIKey = variable_get('intel_hubspot_api_key', '')) {
      intel_hubspot_include_library_file('class.settings.php');
      intel_hubspot_include_library_file('class.exception.php');
      $settings_api = new HubSpot_Settings($HAPIKey);
      $settings = $settings_api->get_settings();
      if (!empty($settings) && is_array($settings)) {
        foreach ($settings AS $i => $setting) {
          if ($setting->name == 'contactsEnabled') {
            if ($setting->value == 'true') {
              $api_connection = 1;
            }
          }
        }
      }
  //dsm($settings);
  //dsm($HAPIKey);
    }
    if ($api_connection) {
      drupal_set_message(t('HubSpot API connected.'));
    }
    else {
      $msg = t('HubSpot API not connected.');
      drupal_set_message($msg, 'error');
    }
  }
  
  $form['intel_hubspot_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('API key'),
    '#default_value' => variable_get('intel_hubspot_api_key', ''),
    '#description' => t('Enter your Api key from HubSpot.'),
  );  
  return $form;
}